# --------- #
# ~/.bashrc #
# --------- #

# if not running interactively, don't do anything
[[ $- != *i* ]] && return

# ------- #
# aliases #
# ------- #

alias ls='ls --color=auto'
alias grep='grep --color=auto'
alias ll='ls -l --color=auto'
alias l='ls -lta --color=auto'

alias nv='vim'

alias lg='lazygit'

alias pf='pfetch'

# --- #
# env #
# --- #

export PATH=/home/april/.local/bin:$PATH

export SSH_AUTH_SOCK="$XDG_RUNTIME_DIR/ssh-agent.socket"

export HISTFILE=~/.history
export HISTSIZE=5000

export VISUAL=vim
export EDITOR="$VISUAL"

export SPLIT='v' # to split Kitty vertically

# -------- #
# keybinds #
# -------- #

# remove entire words with control+(backspace/delete)
bind '"\C-H": backward-kill-word'
bind '"\e[3;5~": kill-word'

# fzf shortcuts
source ~/.config/fzf/key-bindings.bash
source ~/.config/fzf/completion.bash

# ------- #
# startup #
# ------- #

# display system info on startup 
# pfetch

# initialize starship prompt
eval "$(starship init bash)"
